<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<document>
  <properties>
    <title>Maven Plugin Plugin Goals</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>plugin</name>
        <description>Build and install a plugin</description>
      </goal>
      <goal>
        <name>plugin:deploy</name>
        <description>Install an unpacked version of the plugin</description>
      </goal>
      <goal>
        <name>plugin:download</name>
        <description>
          Download and install plugin from the remote repos.
          Must provide groupId, artifactId and version variables.
        </description>
      </goal>
      <goal>
        <name>plugin:generate-docs</name>
        <description>Generate navigation, goals and properties docs</description>
      </goal>
      <goal>
        <name>plugin:generate-goals</name>
        <description>Generate goals.xml for the plugin</description>
      </goal>
      <goal>
        <name>plugin:generate-navigation</name>
        <description>Generate navigation.xml for the plugin</description>
      </goal>
      <goal>
        <name>plugin:generate-properties</name>
        <description>Generate properties.xml for the plugin</description>
      </goal>
      <goal>
        <name>plugin:install</name>
        <description>Install the plugin in Maven's plugins dir</description>
      </goal>
      <goal>
        <name>plugin:uninstall</name>
        <description>Uninstall all versions of the plugin in Maven's plugins dir</description>
      </goal>      
      <goal>
        <name>plugin:test</name>
        <description>Run a plugin's test project</description>
      </goal>
    </goals>
  </body>
</document>